Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: [Solved]: PHP 5.3/6  (Read 2024 times)

0 Members and 1 Guest are viewing this topic.

applefruit

  • Coppermine newbie
  • Offline Offline
  • Posts: 7
[Solved]: PHP 5.3/6
« on: August 20, 2009, 07:27:33 pm »

I'm currently running php 5.3 (latest_stable) with cpg.  When I turn reporting to full, it shows that a lot of the functions are deprecated.  It however still seems to work.

However, a book I'm currently using suggests writing in php 6 compatible code, to be future-proof.  Just prior to testing the dev version of php 6, I found that cpg will not work anymore.

Should I try cpg1.5 alpha and hope it uses better more future-proof code, or plough ahead with cpg1.4, and pray that it will still work with php5.3?
« Last Edit: August 20, 2009, 10:09:05 pm by Nibbler »
Logged

Nibbler

  • Guest
Re: PHP 5.3/6
« Reply #1 on: August 20, 2009, 09:36:37 pm »

1.4 works on PHP 5.3 but uses functions that are now deprecated. 1.5 has the deprecated functions removed. There is little point testing anything on PHP6 yet.
Logged

applefruit

  • Coppermine newbie
  • Offline Offline
  • Posts: 7
Re: PHP 5.3/6
« Reply #2 on: August 20, 2009, 09:41:29 pm »

So basically using 1.4x on 5.3 is fine - when time comes (php6), I'll just wait for an update to 1.5x?
Logged

Nibbler

  • Guest
Re: PHP 5.3/6
« Reply #3 on: August 20, 2009, 09:54:11 pm »

That's fine. Coppermine 1.5 will be released long before PHP6 anyway.
Logged

applefruit

  • Coppermine newbie
  • Offline Offline
  • Posts: 7
Re: PHP 5.3/6
« Reply #4 on: August 20, 2009, 10:05:53 pm »

thx
Logged
Pages: [1]   Go Up
 

Page created in 0.019 seconds with 21 queries.